| Python Script Engine 8.3 GL Studio Editor Python Script API

Public Member Functions | Static Public Member Functions | List of all members
GlsPSDImporter Class Reference

## Public Member Functions
Group * | Import (String filename, Document doc, bool generateNewObjects, bool reposition, float scale, bool forceUseOriginalNames=false, bool atlasNewObjects=true, bool useCtlTextBox=false, bool useRuntimeFonts=false)
void | Import (String filename, Group *grp, bool generateNewObjects, bool reposition, float scale, bool forceUseOriginalNames=false, bool atlasNewObjects=true, bool useCtlTextBox=false, bool useRuntimeFonts=false)

## Static Public Member Functions
static GlsPSDImporter & | GetInstance ()

## Detailed Description

Plug-in used to import PSD files into GL Studio.

## Member Function Documentation

## ◆ GetInstance()

static GlsPSDImporter & GlsPSDImporter::GetInstance | ( |  | ) |
| static

## ◆ Import() [1/2]

Group * GlsPSDImporter::Import | ( | String | filename,
|  | Document | doc,
|  | bool | generateNewObjects,
|  | bool | reposition,
|  | float | scale,
|  | bool | forceUseOriginalNames = `false`,
|  | bool | atlasNewObjects = `true`,
|  | bool | useCtlTextBox = `false`,
|  | bool | useRuntimeFonts = `false`
| ) |  |

Imports a PSD file using the PSD Importer.

Parameters

  filename | Name of the file to import
  doc | Document into which the file should be imported
  generateNewObjects | Flag to determine if the imported objects should be generated as new objects
  reposition | Flag to determine if the imported objects should be repositioned
  scale | Scale to be applied to the newly imported objects
  forceUseOriginalNames | Force the psd importer to use the original names (does not create unique names)
  atlasNewObjects | Flag to determine if the imported objects should be exported to a single file(atlased) or one for each image.
  useCtlTextBox | Flag to determine if text objects should use CTL textboxes
  useRuntimeFonts | Flag to determine if text objects should use runtime fonts

Returns
  A group containing objects imported from the PSD file

Exceptions

  CEIException |

## ◆ Import() [2/2]

void GlsPSDImporter::Import | ( | String | filename,
|  | Group * | grp,
|  | bool | generateNewObjects,
|  | bool | reposition,
|  | float | scale,
|  | bool | forceUseOriginalNames = `false`,
|  | bool | atlasNewObjects = `true`,
|  | bool | useCtlTextBox = `false`,
|  | bool | useRuntimeFonts = `false`
| ) |  |

Imports a PSD file using the PSD Importer.

Note
  new group is not automatically added to the document

Precondition
  Parent document of group is not null

Parameters

  | filename | filename of PSD file to import
  [in,out] | grp | The group to insert the imported geometry into. Must already be in a Document.
  | generateNewObjects | Flag to determine if the imported objects should be generated as new objects
  | reposition | Flag to determine if the imported objects should be repositioned
  | scale | Scale to be applied to the newly imported objects
  | forceUseOriginalNames | Force the psd importer to use the original names (does not create unique names)
  | atlasNewObjects | Flag to determine if the imported objects should be exported to a single file(atlased) or one for each image.
  | useCtlTextBox | Flag to determine if text objects should use CTL textboxes
  | useRuntimeFonts | Flag to determine if text objects should use runtime fonts

Exceptions

  CEIException |

The documentation for this class was generated from the following file:

- GlsPSDImporter.i